#include<stdlib.h>
#include<iostream.h>
#include<fstream.h>
#include<string>
#include<math.h>
#include<iomanip.h>


int main(){
  const int nMol=14;
  const int nDescr=14;
  ifstream dataFile;
  string riga,nome,trush;
  int numero;
  string arrDescr[nDescr];
  double dataMat[nMol][nDescr];
  dataFile.open("data.dat",ios::in);
  getline(dataFile ,riga,'\n');
  cout << riga << endl;
  getline(dataFile ,riga,'\n');
  cout << riga << endl;
  // legge No. e MolID
  dataFile >> trush;
  dataFile >> trush;
  
  for(int k=0; k<nDescr; k++){
      dataFile >> arrDescr[k];
      cout << arrDescr[k] << endl;
  }
  
  for(int i=0; i<nMol; i++){
      dataFile >> numero >> nome;
      cout << "Reading " << numero << " " << nome << endl;
    for(int j=0; j<nDescr; j++)
      dataFile >> dataMat[i][j];
  }   
  dataFile.close();
  
  ofstream outFile;
  outFile.open("prova.txt",ios::out);
  outFile << setiosflags(ios::left) << setw(5) << "Num" << setw(10) << "Name" 
	  << setw(10) << "Mean" << setw(10) << "sigma"  << setw(10) << "err_%" 
	  << setw(10) << "Min" << setw(10) << "Max" << endl;   

  for(int j=0; j<nDescr; j++){
    double somma=0;
    double media=0;
    double min;
    double max;

    for(int i=0; i<nMol; i++){
      somma += dataMat[i][j];
    }
    media=somma/nMol;

    min=dataMat[0][j];
    for(i=1; i<nMol; i++){
	if(dataMat[i][j]<min)
	  min=dataMat[i][j];
    }
    
    max=dataMat[0][j];
    for(i=1; i<nMol; i++){
	if(dataMat[i][j]>max)
	  max=dataMat[i][j];
    }

    double var=0,varD,dst;
    double errRel=0;

    for(int k=0; k<nMol; k++)
      var += pow(dataMat[k][j]-media,2);
    varD = var/static_cast<double>((nMol-1));
    dst = sqrt(varD);
    errRel=dst/media*100;
    outFile.precision(4);
    outFile << setiosflags(ios::left) << setw(5) << j+1 << setw(10) << arrDescr[j] 
	    << setw(10) << media << setw(10) << dst << setw(10) << errRel 
	    << setw(10) << min << setw(10) << max << setw(10) << endl;   
  }
  outFile.close();  
  return 0;
}


